ilch Forum » Ilch Clan 1.1 » Fehlersuche und Probleme » Fehlermeldung nach Installation und erst

Geschlossen
  1. #1
    User Pic
    Rubber_Duck Mitglied
    Registriert seit
    06.08.2017
    Beiträge
    5
    Beitragswertungen
    0 Beitragspunkte
    Guten Tag,
    ich nun doch schon wieder.
    Nach der Erstinstallation mit Version N kam eine Fehlermeldung. Da habe ich eine neue Version installiert (Version P) und diese Installation ist ohne Fehlermeldung durchgelaufen.
    Als ich dann die Webseite aufgerufen habe, kam folgende Meldung:

    Parse error: syntax error, unexpected 'new' (T_NEW) in /mnt/web304/d1/64/58507264/htdocs/include/includes/class/xajax.php5.inc.php on line 428

    Der Webspace liegt auf Strato. Und wie im ´vorher schon mal geschrieben......bin ich was PHP usw. angeht ein DAU....habt also bitte Nachsicht wenn ich nicht alles sofort verstehe was Ihr mir netterweise schreibt.
    Für Eue Hilfe bedanke ich mich im vorraus.

    MfG
    Rubber_Duck


    verwendete ilch Version: 1.1 P

    betroffene Homepage: wot-clan-wfa.de
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    Lord|Schirmer Administrator
    Registriert seit
    21.03.2007
    Beiträge
    7.261
    Beitragswertungen
    1114 Beitragspunkte
    Ilch 1.1P ist nur bis PHP 5.6 kompatibel und ich vermute Du nutzt eine neuere Version.

    Ilch 1.1Q welche für neuere PHP Versionen gedacht war, wurde bisher nicht fertiggestellt. Kannst aber gern ma reinschauen bzw. testen.

    github.com/IlchCMS/Ilch-1.1/tree/1.1q
    rules :: doku :: faq :: linkus
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    Baujahr73 Mitglied
    Registriert seit
    05.09.2013
    Beiträge
    92
    Beitragswertungen
    12 Beitragspunkte
    Du kannst aber auch im Strato Portal die php Version auf 5.6.X einstellen, geht auch manuell via .htaccess

    Dies dann in die .htaccess eintragen
    AddType application/x-httpd-php56 .php
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    Rubber_Duck Mitglied
    Registriert seit
    06.08.2017
    Beiträge
    5
    Beitragswertungen
    0 Beitragspunkte
    Hallo Ihr guten Helfer :-)

    ja, es lag an der Version des PHP. In Strato war Version 7 voreingestellt. Dies habe ich im Portal auf 5.6 umgestellt und meine Seite lässt sich nun aufrufen :-) .
    Die manuelle Einstellung via .htaccess habe ich jetzt nicht versucht. Dazu fehlen mir noch die Kenntnisse.
    Ich weiss z.B. garnicht wo das .htaccess liegt.
    Ich denke.......diese Frage stelllt sich bei dem nächsten Problem ;-) . Wie schon geschrieben.......bin absoluter Anfänger.
    Aber trotzdem vielen lieben dank für die prompte Hilfe !!!!!!

    MfG

    Rubber_Duck
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    Baujahr73 Mitglied
    Registriert seit
    05.09.2013
    Beiträge
    92
    Beitragswertungen
    12 Beitragspunkte
    Das Manuelle einstellen der php Version ist auch nur gut wenn Du mehrere Datenbanken hast, als Beispiel eine Hauptseite und eine Testseite die jeweils eine eigene Datenbank und Webspace haben, die php Version kann man bei Strato nur Global einstellen und gilt dann für alle Datenbanken die du angelegt hast. Mit der .htaccess kann man das halt umgehen.

    Die .htaccess musst Du dir selber erstellen, am Einfachsten ist es als Neuling eine neue Textdatei auf dem Desktop zu erstellen, und diese dann als .htaccess.txt zu speichern, dann lädst Du die Datei auf deinen Webspace hoch, dorthin wo auch der include Ordner sowie die admin.php und index.php liegen, wenn Du es hochgeladen hast musst Du die Datei noch umbenennen da diese noch .htaccess.txt heißt, einfach dann die Endung .txt löschen und übernehmen, und schon hast Du eine .htaccess


    *Edit

    Wofür ist die .htaccess gut?
    Da gibt es eine Vielzahl an Möglichkeiten, z.B....

    Um eine Intro Seite nutzen zu können.
    Um Benutzerfreundliche url´s zu generieren. (Siehe auch maretz.eu )
    Unerwünschte Spider und Bots auszuschließen.
    Umleitungen zu setzen.
    Mod Rewrite auf "on" stellen. (Standard ist dass bei Strato "off")

    uvm.


    Zuletzt modifiziert von Baujahr73 am 06.08.2017 - 18:00:11
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    Rubber_Duck Mitglied
    Registriert seit
    06.08.2017
    Beiträge
    5
    Beitragswertungen
    0 Beitragspunkte
    Vielen Dank für die Erklärung !

    Gruß

    Rubber_Duck
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    mibon Mitglied
    Registriert seit
    15.07.2017
    Beiträge
    19
    Beitragswertungen
    0 Beitragspunkte
    Ich kann einfach das Ilch 1.1p nicht auf meinem Server installieren es kommt immer die Fehler Meldung


    Parse error: syntax error, unexpected 'new' (T_NEW) in /var/www/web2/html/include/includes/class/xajax.php5.inc.php on line 428


    Ich benutze ein Reseller-Account und bin auch der Admin php ist installiert ich benutze Debian 7 + Confixx 3.3.9 sowie auch apache2 mysql usw. Nun habe ich habe php7 drauf wie sätze ich das genau zurück auf php5.6


    Zuletzt modifiziert von mibon am 25.11.2017 - 21:45:03
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Fehlersuche und Probleme

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten